﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TFT_DbHelper;
using TFT_Model.Dto;
using TFT_Model.Entities;
using TFT_Model.Other;

namespace TFT_BizService
{
    /// <summary>
    /// 站台管理 业务类
    /// </summary>
    [AutoInject(typeof(ILocationStationService), InjectTypeEnum.Singleton, false)]
    public  class LocationStationService : ILocationStationService
    {
        public LocationStationService()
        {

        }
        public PagedInfo<BasLocDto> QueryPageList(BasLocQueryDto parm)
        {
            //开始拼装查询条件
            var predicate = Expressionable.Create<BasLoc>();
            if (parm.BeginTime != null && parm.EndTime != null)
            {
                parm.BeginTime = parm.BeginTime.Value.ToLocalTime();
                parm.EndTime = parm.EndTime.Value.ToLocalTime();
                predicate.And(d => d.CreateTime >= parm.BeginTime && d.CreateTime <= parm.EndTime);
            }
            predicate.AndIF(!string.IsNullOrEmpty(parm.LocNo), d => d.LocNo.Contains(parm.LocNo));
            predicate.AndIF(!string.IsNullOrEmpty(parm.LocName), d => d.LocName.Contains(parm.LocName));
            predicate.AndIF(!string.IsNullOrEmpty(parm.MaterialNo) && parm.LocType == 0, d => d.MaterialNo.Contains(parm.MaterialNo));
            predicate.AndIF(!string.IsNullOrEmpty(parm.WorkOrder) && parm.LocType == 0, d => d.WorkOrder.Contains(parm.WorkOrder));
            predicate.AndIF(parm.LocType != default, d => d.LocType == parm.LocType);
            predicate.AndIF(parm.LocType == 0, d => d.CstType == parm.CstType);
            //搜索条件查询语法参考Sqlsugar
            PagedInfo<BasLocDto> response = DbHelper.Db.Queryable<BasLoc>().Where(predicate.ToExpression()).ToPage<BasLoc, BasLocDto>(parm);
            return response;
        }
    }
}
