﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TFT_Model.Dto
{
    public class BasLocQueryDto : PagerInfo
    {
        /// <summary>
        /// 站台号 
        ///</summary>
        public string LocNo { get; set; }
        /// <summary>
        /// 站台名称 
        ///</summary>
        public string LocName { get; set; }
        /// <summary>
        /// 站台类型。0：缓存架；1：上料机站台；2：下料机站台； 
        ///</summary>
        public int? LocType { get; set; }
        /// <summary>
        /// 物料号 
        ///</summary>
        public string MaterialNo { get; set; }
        /// <summary>
        /// 工单 
        ///</summary>
        public string WorkOrder { get; set; }
        /// <summary>
        /// 站台存放的卡夹类型（站台类型为缓存架时有效）。0：无卡；1：空卡；2：满卡；
        ///</summary>
        public int? CstType { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        public DateTime? BeginTime { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        public DateTime? EndTime { get; set; }
    }
    public class BasLocDto
    {
        public long Id { get; set; }
        /// <summary>
        /// 站台号 
        ///</summary>
        public string LocNo { get; set; }
        /// <summary>
        /// 站台名称 
        ///</summary>
        public string LocName { get; set; }
        /// <summary>
        /// 站台类型。0：缓存家；1：上料机站台；2：下料机站台； 
        ///</summary>
        public int LocType { get; set; }
        /// <summary>
        /// 物料号 
        ///</summary>
        public string MaterialNo { get; set; }
        /// <summary>
        /// 工单 
        ///</summary>
        public string WorkOrder { get; set; }
        /// <summary>
        /// 站台存放的卡夹类型（站台类型为缓存架时有效）。0：无卡；1：空卡；2：满卡；
        ///</summary>
        public int CstType { get; set; }
        /// <summary>
        /// 创建者 
        ///</summary>
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        public DateTime? CreateTime { get; set; }
    }
}
