﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace TFT_Model.Entities
{
    /// <summary>
    /// 站台配置表
    ///</summary>
    [SugarTable("bas_loc")]
    public class BasLoc
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public long Id { get; set; }
        /// <summary>
        /// 站台号 
        ///</summary>
        [SugarColumn(ColumnName = "loc_no")]
        public string LocNo { get; set; }
        /// <summary>
        /// 站台名称 
        ///</summary>
        [SugarColumn(ColumnName = "loc_name")]
        public string LocName { get; set; }
        /// <summary>
        /// 站台类型。0：缓存架；1：上料机站台；2：下料机站台； 
        ///</summary>
        [SugarColumn(ColumnName = "loc_type")]
        public int LocType { get; set; }
        /// <summary>
        /// 物料号 
        ///</summary>
        [SugarColumn(ColumnName = "material_no")]
        public string MaterialNo { get; set; }
        /// <summary>
        /// 工单 
        ///</summary>
        [SugarColumn(ColumnName = "work_order")]
        public string WorkOrder { get; set; }
        /// <summary>
        /// 站台存放的卡夹类型（站台类型为缓存架时有效）。0：无卡；1：空卡；2：满卡；
        ///</summary>
        [SugarColumn(ColumnName = "cst_type")]
        public int CstType { get; set; }
        /// <summary>
        /// AGV任务ID。 如果有数据代表该缓存位正在被占用，不能被分配；如果没有数据代表该缓存位没有被占用，可以被分配。
        ///</summary>
        [SugarColumn(ColumnName = "agv_task_id")]
        public int? AgvTaskId { get; set; }
        /// <summary>
        /// 使用标识。0：禁用；1：启用。默认启用。
        /// </summary>
        [SugarColumn(ColumnName = "used_flag")]
        public int UsedFlag { get; set; }
        /// <summary>
        /// 创建者 
        ///</summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 更新者 
        ///</summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }
        /// <summary>
        /// 更新时间 
        ///</summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }
    }
}
