﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace TFT_Model.Entities
{
    /// <summary>
    /// PLC配置表
    ///</summary>
    [SugarTable("bas_plc")]
    public class BasPlc
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public long Id { get; set; }
        /// <summary>
        /// PLC类型。Siemens：西门子；Omron：欧姆龙；Beckhoff：倍福；Mitsubishi：三菱； 
        ///</summary>
        [SugarColumn(ColumnName = "plc_type")]
        public string PlcType { get; set; }
        /// <summary>
        /// PLC编码 
        ///</summary>
        [SugarColumn(ColumnName = "plc_code")]
        public string PlcCode { get; set; }
        /// <summary>
        /// PLC名称 
        ///</summary>
        [SugarColumn(ColumnName = "plc_name")]
        public string PlcName { get; set; }
        /// <summary>
        /// PLC的IP地址 
        ///</summary>
        [SugarColumn(ColumnName = "plc_ip")]
        public string PlcIp { get; set; }
        /// <summary>
        /// PLC的端口号 
        ///</summary>
        [SugarColumn(ColumnName = "plc_port")]
        public string PlcPort { get; set; }
        /// <summary>
        /// 创建者 
        ///</summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 更新者 
        ///</summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }
        /// <summary>
        /// 更新时间 
        ///</summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }
    }
}
