﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace TFT_Model.Entities
{
    /// <summary>
    /// PLC地址块配置表
    ///</summary>
    [SugarTable("bas_plc_address")]
    public class BasPlcAddress
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public long Id { get; set; }
        /// <summary>
        /// PLC编码 
        ///</summary>
        [SugarColumn(ColumnName = "plc_code")]
        public string PlcCode { get; set; }
        /// <summary>
        /// PLC地址编码 
        ///</summary>
        [SugarColumn(ColumnName = "plc_address_code")]
        public string PlcAddressCode { get; set; }
        /// <summary>
        /// PLC读写地址类型。D;ZR;X;Y;L; 
        ///</summary>
        [SugarColumn(ColumnName = "plc_address_type")]
        public string PlcAddressType { get; set; }
        /// <summary>
        /// PLC读写地址起始位置 
        ///</summary>
        [SugarColumn(ColumnName = "plc_start_address")]
        public int PlcStartAddress { get; set; }
        /// <summary>
        /// PLC读写地址结束位置 
        ///</summary>
        [SugarColumn(ColumnName = "plc_end_address")]
        public int PlcEndAddress { get; set; }
        /// <summary>
        /// PLC读写地址长度（单位：word字或者bit位） 
        ///</summary>
        [SugarColumn(ColumnName = "plc_address_length")]
        public int PlcAddressLength { get; set; }
        /// <summary>
        /// 创建者 
        ///</summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 更新者 
        ///</summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }
        /// <summary>
        /// 更新时间 
        ///</summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }
    }
}
