﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace TFT_Model.Entities
{
    /// <summary>
    /// AGV任务表
    ///</summary>
    [SugarTable("biz_agv_task")]
    public class BizAgvTask
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public long Id { get; set; }
        /// <summary>
        /// 任务类型。0：MES上料任务；1：MES下料任务；2：上料机下空卡任务；3：下料机上空卡任务； 
        ///</summary>
        [SugarColumn(ColumnName = "task_type")]
        public int TaskType { get; set; }
        /// <summary>
        /// 取货站台号 
        ///</summary>
        [SugarColumn(ColumnName = "take_loc_no")]
        public string TakeLocNo { get; set; }
        /// <summary>
        /// 放货站台号 
        ///</summary>
        [SugarColumn(ColumnName = "put_loc_no")]
        public string PutLocNo { get; set; }
        /// <summary>
        /// 物料号 
        ///</summary>
        [SugarColumn(ColumnName = "material_no")]
        public string MaterialNo { get; set; }
        /// <summary>
        /// 工单 
        ///</summary>
        [SugarColumn(ColumnName = "work_order")]
        public string WorkOrder { get; set; }
        /// <summary>
        /// AGV搬运卡夹类型。0：空卡；1：满卡； 
        ///</summary>
        [SugarColumn(ColumnName = "cst_type")]
        public int CstType { get; set; }
        /// <summary>
        /// AGV任务状态。0：初始创建；11：已收到PLC信号；55：已下发AGV搬运指令；99：AGV搬运完成；100：强制完成； 
        ///</summary>
        [SugarColumn(ColumnName = "status")]
        public int Status { get; set; }
        /// <summary>
        /// 创建者 
        ///</summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 更新者 
        ///</summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }
        /// <summary>
        /// 更新时间 
        ///</summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }
    }
}
