﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace TFT_Model.Entities
{
    /// <summary>
    /// MES下料数据表	
    ///</summary>
    [SugarTable("mes_unload_cst")]
    public class MesUnloadCst
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public long Id { get; set; }
        /// <summary>
        /// 数据添加方式：0：MES接口添加；1：人工添加 
        ///</summary>
        [SugarColumn(ColumnName = "add_type")]
        public int AddType { get; set; }
        /// <summary>
        /// 物料号 
        ///</summary>
        [SugarColumn(ColumnName = "material_no")]
        public string MaterialNo { get; set; }
        /// <summary>
        /// 工单 
        ///</summary>
        [SugarColumn(ColumnName = "work_order")]
        public string WorkOrder { get; set; }
        /// <summary>
        /// 请求位置 
        ///</summary>
        [SugarColumn(ColumnName = "location_no")]
        public string LocationNo { get; set; }
        /// <summary>
        /// 产品信息 
        ///</summary>
        [SugarColumn(ColumnName = "product_msg")]
        public string ProductMsg { get; set; }
        /// <summary>
        /// 数量 
        ///</summary>
        [SugarColumn(ColumnName = "number")]
        public int Number { get; set; }
        /// <summary>
        /// 0：初始；11：收到PLC上料信号；22：生成AGV搬运指令；55：已下发AGV搬运指令；99：AGV搬运完成；100：强制完成； 
        ///</summary>
        [SugarColumn(ColumnName = "status")]
        public int Status { get; set; }
        /// <summary>
        /// 运行Log信息 
        ///</summary>
        [SugarColumn(ColumnName = "msg")]
        public string Msg { get; set; }
        /// <summary>
        /// 创建者 
        ///</summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 更新者 
        ///</summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }
        /// <summary>
        /// 更新时间 
        ///</summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }
    }
}
