﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TFT_Model.Entities
{
    /// <summary>
    /// 系统日志表
    ///</summary>
    [SugarTable("sys_operate_log")]
    public class SysOperateLog
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true)]
        public long Id { get; set; }
        /// <summary>
        /// 模块标题 
        ///</summary>
        [SugarColumn(ColumnName = "title")]
        public string Title { get; set; }
        /// <summary>
        /// 业务类型。（0：其他；1：新增；2：修改；3：删除；） 
        /// 默认值: 0
        ///</summary>
        [SugarColumn(ColumnName = "business_type")]
        public int BusinessType { get; set; }
        /// <summary>
        /// 方法名称 
        ///</summary>
        [SugarColumn(ColumnName = "Method")]
        public string Method { get; set; }
        /// <summary>
        /// 请求方式 
        ///</summary>
        [SugarColumn(ColumnName = "request_method")]
        public string RequestMethod { get; set; }
        /// <summary>
        /// 操作类别。（0：其他；1：后台用户；2：移动端用户；） 
        /// 默认值: 0
        ///</summary>
        [SugarColumn(ColumnName = "operator_type")]
        public int OperatorType { get; set; }
        /// <summary>
        /// 操作人员 
        ///</summary>
        [SugarColumn(ColumnName = "oper_name")]
        public string OperName { get; set; }
        /// <summary>
        /// 请求URL 
        ///</summary>
        [SugarColumn(ColumnName = "oper_url")]
        public string OperUrl { get; set; }
        /// <summary>
        /// 主机地址 
        ///</summary>
        [SugarColumn(ColumnName = "oper_ip")]
        public string OperIp { get; set; }
        /// <summary>
        /// 操作地点 
        ///</summary>
        [SugarColumn(ColumnName = "oper_location")]
        public string OperLocation { get; set; }
        /// <summary>
        /// 请求参数 
        ///</summary>
        [SugarColumn(ColumnName = "oper_param")]
        public string OperParam { get; set; }
        /// <summary>
        /// 返回参数 
        ///</summary>
        [SugarColumn(ColumnName = "json_result")]
        public string JsonResult { get; set; }
        /// <summary>
        /// 操作状态。（0：正常；1：异常；） 
        /// 默认值: 0
        ///</summary>
        [SugarColumn(ColumnName = "status")]
        public int Status { get; set; }
        /// <summary>
        /// 错误消息 
        ///</summary>
        [SugarColumn(ColumnName = "error_msg")]
        public string ErrorMsg { get; set; }
        /// <summary>
        /// 操作时间 
        ///</summary>
        [SugarColumn(ColumnName = "operate_time")]
        public DateTime? OperateTime { get; set; }
        /// <summary>
        /// 请求用时 
        ///</summary>
        [SugarColumn(ColumnName = "elapsed")]
        public long? Elapsed { get; set; }
    }
}
