﻿using Prism.Ioc;
using Prism.Modularity;
using Prism.Unity;
using Unity;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using NLog.Extensions.Logging;
using Microsoft.Extensions.Logging;
using TFT_PC_FrameWork.AutoInject;
using AutoMapper;
using TFT_PC_FrameWork.AutoMapper;
using TFT_PC_FrameWork.Views;
using TFT_PC_FrameWork.ViewModels;
using TFT_PC_FrameWork.Assets;

namespace TFT_PC_FrameWork
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : PrismApplication
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
        }
        protected override Window CreateShell()
        {
            return Container.Resolve<MainWindow>();
        }
        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
            // 依赖注入NLog服务
            NLogLoggerFactory factory = new();
            ILogger _logger = factory.CreateLogger("NLog.config");
            containerRegistry.RegisterInstance(_logger);

            //依赖注入AutoMapper服务
            containerRegistry.Register(typeof(IMapper), GetMapper);

            //自动依赖注入程序集涉及的所有服务（例如：Service和Interface、WPF窗体View和ViewModel）
            AutoInjectHelper.AddAutoDiWpfViewAndService(containerRegistry);

            AssetHelper.InitAssets();
        }
        private IMapper GetMapper(IContainerProvider container)
        {
            var provider = container.Resolve<IAutoMapperProvider>();
            return provider.GetMapper();
        }
    }
}
