﻿using AutoMapper;
using TFT_BizService;
using Microsoft.Extensions.Logging;
using Prism.Commands;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TFT_Model.Other;
using TFT_PC_FrameWork.Views;
using TFT_Model.Dto;

namespace TFT_PC_FrameWork.ViewModels
{
    [AutoInject(typeof(LocationStation), InjectTypeEnum.Singleton, true)]
    public class LocationStationViewModel
    {
        private readonly ILogger _logger;
        private readonly IRegionManager _regionManager;
        private readonly IMapper _mapper;
        private readonly ILocationStationService _locationStationService;
        public LocationStationViewModel(IRegionManager regionManager, ILogger logger, IMapper mapper, ILocationStationService locationStationService)
        {
            _regionManager = regionManager;
            _logger = logger;
            _mapper = mapper;
            _locationStationService = locationStationService;
            BtnTestClickCommand = new DelegateCommand(BtnTestClick);
        }
        private void BtnTestClick()
        {
            var obj = _locationStationService.QueryPageList(new BasLocQueryDto());
        }
        #region 命令绑定
        public DelegateCommand BtnTestClickCommand { set; get; }
        #endregion
    }
}
