﻿using AutoMapper;
using TFT_BizService;
using Microsoft.Extensions.Logging;
using Prism.Commands;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TFT_Model.Other;
using TFT_PC_FrameWork.Views;
using TFT_Model.Entities;
using TFT_DbHelper;
using TFT_Common;

namespace TFT_PC_FrameWork.ViewModels
{
    [AutoInject(typeof(SysRealTimeRun), InjectTypeEnum.Singleton, true)]
    public class SysRealTimeRunViewModel
    {
        private readonly ILogger _logger;
        private readonly IRegionManager _regionManager;
        private readonly IMapper _mapper;
        private readonly ISysRealTimeRunService _sysRealTimeRunService;


        public SysRealTimeRunViewModel(IRegionManager regionManager, ILogger logger, IMapper mapper, ISysRealTimeRunService sysRealTimeRunService)
        {
            _regionManager = regionManager;
            _logger = logger;
            _mapper = mapper;
            _sysRealTimeRunService = sysRealTimeRunService;

            _sysRealTimeRunService.BasLocList = DbHelper.Db.Queryable<BasLoc>().ToList();
            _sysRealTimeRunService.BasPlcItemList = DbHelper.Db.Queryable<BasPlcItem>().ToList();

            MqttClientHelper.Init("127.0.0.1",8222);
            MqttClientHelper.ConnectMqttServerAsync();
            Task.Delay(2000).Wait();
            MqttClientHelper.Subscribe("Hello:");
        }

    }
}
